=== debian/changelog ===
nlopt (2.7.0-4) unstable; urgency=medium

  * Team upload
  * d/libnlopt-cxx0.symbols: Remove file.
    The mangling of C++ symbols varies substantially from one
    architecture to the other, what makes impractical the maintenance
    of the symbols file.
  * d/p/set_cxx_soname.patch: Fix line number
  * d/rules: Specify a separate arch-indep override for dh_link
  * d/libnlopt-cxx0.lintian-overrides: Override Lintian warning
    no-symbols-control-file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 Nov 2020 11:27:29 -0300

nlopt (2.7.0-3) unstable; urgency=medium

  * Team upload
  * d/libnlopt-cxx0.symbols: Remove file.
    The mangling of C++ symbols varies substantially from one
    architecture to the other, what makes impractical the maintenance
    of the symbols file.
  * d/p/set_cxx_soname.patch: Fix line number
  * d/rules: Specify a separate arch-indep override for dh_link

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 Nov 2020 08:51:07 -0300

nlopt (2.7.0-2) unstable; urgency=medium

  * Team upload
  * d/libnlopt-cxx0.symbols: New file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Nov 2020 15:13:52 -0300

nlopt (2.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.0
  * d/p/set_cxx_soname.patch: Refresh for new upstream version
  * d/copyright:
    + Update upstream copyright year
    + Add myself as copyright holder of debian/* files
    + Use secure URL in Format field
  * Use Github URL for upstream Homepage and Source
  * d/copyright:
    + Simplify stanzas and general cleanup
    + Add full GPL-3+ License terms
  * d/control:
     + Bump debhelper compatibility level to 13
     + Bump Standards-Version to 4.5.1 (no changes needed)
     + Add Rules-Requires-Root: no
  * d/libnlopt0.lintian-overrides:
    + Use correct Litian tag exit-in-shared-library
    + Drop override for hardening-no-stackprotector
  * d/libnlopt-guile0.lintian-overrides: Drop overrides
  * Migrate to guile-3.0 (Closes: 969695)
    + d/control: Set build-dependency and dependency on guile-3.0(-dev)
    + d/p/detect-guile-3.0.patch: New patch
  * Use system (Sphinx) fonts instead of shipping them
    + d/control: nlopt-doc depends on sphinx-rtd-theme-common
    + d/rules: Remove site/fonts/ directory before invoking dh_links
    + d/nlopt-doc.links: New file
  * d/rules: Use execute_(before|after)_ instead of override_
    debhelper commands
  * d/u/metadata: New file
  * d/clean: New file
  * d/nlopt-doc.lintian-overrides: Add override for compressed-duplicate
  * d/u/metadata: New file
  * Add DEP-3 headers to the Debian patches
  * d/libnlopt0.symbols: Update list of symbols for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Thu, 19 Nov 2020 05:05:39 -0300
