## nlopt 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Benoit Scherrer, 2010 CRL, Harvard Medical School
 # Copyright (c) 2008-2009 Children's Hospital Boston
 #==============================================================================
-cmake_minimum_required (VERSION 2.8.11)
+cmake_minimum_required (VERSION 3.2)
 
 if (NOT DEFINED CMAKE_BUILD_TYPE)
   set (CMAKE_BUILD_TYPE Release CACHE STRING "Build type")
@@ -24,7 +24,7 @@
 # version
 set (NLOPT_MAJOR_VERSION "2")
 set (NLOPT_MINOR_VERSION "7")
-set (NLOPT_BUGFIX_VERSION "0")
+set (NLOPT_BUGFIX_VERSION "1")
 set (NLOPT_VERSION_STRING ${NLOPT_MAJOR_VERSION}.${NLOPT_MINOR_VERSION}.${NLOPT_BUGFIX_VERSION})
 message (STATUS "NLopt version ${NLOPT_VERSION_STRING}")
 
@@ -32,7 +32,7 @@
 # (it indicates ABI compatibility), but they are typically incremented together.
 set(SO_MAJOR 0)
 set(SO_MINOR 11)
-set(SO_PATCH 0)
+set(SO_PATCH 1)
 #==============================================================================
 
 list (APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
@@ -98,18 +98,10 @@
 #==============================================================================
 # COMPILATION CHECKINGS and CONFIGURATION GENERATION
 #==============================================================================
-check_include_file (dlfcn.h HAVE_DLFCN_H)
 check_include_file (getopt.h HAVE_GETOPT_H)
 check_include_file (unistd.h HAVE_UNISTD_H)
-check_include_file (string.h HAVE_STRING_H)
-check_include_file (strings.h HAVE_STRINGS_H)
-check_include_file (inttypes.h HAVE_INTTYPES_H)
-check_include_file (memory.h HAVE_MEMORY_H)
-check_include_file (stdlib.h HAVE_STDLIB_H)
 check_include_file (stdint.h HAVE_STDINT_H)
 check_include_file (time.h HAVE_TIME_H)
-check_include_file (sys/types.h HAVE_SYS_TYPES_H)
-check_include_file (sys/stat.h HAVE_SYS_STAT_H)
 check_include_file (sys/time.h HAVE_SYS_TIME_H)
 if (HAVE_TIME_H AND HAVE_SYS_TIME_H)
   set (TIME_WITH_SYS_TIME TRUE)
@@ -287,3 +279,14 @@
   if (HAS_FPIC)
     set (CMAKE_C_FLAGS "-fPIC ${CMAKE_C_FLAGS}")
     set (CMAKE_CXX_FLAGS "-fPIC ${CMAKE_CXX_FLAGS}")
+  endif ()
+endif ()
+
+install ( TARGETS ${nlopt_lib}
+          EXPORT  NLoptLibraryDepends
+          RUNTIME DESTINATION ${RELATIVE_INSTALL_BIN_DIR}
+          LIBRARY DESTINATION ${RELATIVE_INSTALL_LIB_DIR}
+          ARCHIVE DESTINATION ${RELATIVE_INSTALL_LIB_DIR}
+        )
+
+if (MSVC AND BUILD_SHARED_LIBS)
