=== debian/changelog ===
nlopt (2.7.1-7ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Avoid autopkgtest failure with -D_FORTIFY_SOURCE=3

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 20:18:16 +0000

nlopt (2.7.1-7) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * octave-10.patch: new patch, fixes FTBFS against Octave 10 (Closes: #1114587)

  [ Rafael Laboissière ]
  * Drop versioned dependency on dh-octave (>= 0.7.1 is satisfiable in
    oldoldstable)
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 25 Sep 2025 12:05:34 +0200

nlopt (2.7.1-6ubuntu4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:16:31 +0000

nlopt (2.7.1-6ubuntu3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:41:06 +0000

nlopt (2.7.1-6ubuntu2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:30:35 +0000

nlopt (2.7.1-6ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Avoid autopkgtest failure with -D_FORTIFY_SOURCE=3

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 18:22:19 +0100

nlopt (2.7.1-6) unstable; urgency=medium

  * Team upload
  * Patch: Python 3.13 support. (Closes: #1081637)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Nov 2024 10:23:02 -0800

nlopt (2.7.1-5ubuntu1) oracular; urgency=medium

  * Avoid autopkgtest failure with -D_FORTIFY_SOURCE=3

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 May 2024 14:53:27 +0000

nlopt (2.7.1-5build4) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:40:11 +0000

nlopt (2.7.1-5build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:42:07 +0000

nlopt (2.7.1-5build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:23:09 +0100

nlopt (2.7.1-5build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:26:57 +0000

nlopt (2.7.1-5) unstable; urgency=medium

  * Team Upload.
  * Add maintscript to convert libnlopt-dev doc
    symlink to directory (Closes: #1035629)
  * Add a preinst to remove examples directory in libnlopt0
    which should be present in -dev only

 -- Nilesh Patra <nilesh@debian.org>  Sun, 14 May 2023 09:35:20 +0000

nlopt (2.7.1-4) unstable; urgency=medium

  * Team upload
  * mkdocs-1.3.patch: new patch, fixes FTBFS against mkdocs 1.3.0
    (Closes: #1009183)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Apr 2022 17:10:53 +0200

nlopt (2.7.1-3) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * Install examples (unit tests)
    + d/libnlopt-dev.examples: New file
    + d/libnlopt-dev.links: Drop file
    + d/rules: Keep the /usr/share/doc/libnlopt-dev/ directory

  [ Sébastien Villemot ]
  * octave-private-libraries.patch: new patch, fixes FTBFS against octave
    6.4.0-2

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 17 Jan 2022 11:31:45 +0100

nlopt (2.7.1-2) unstable; urgency=medium

  * Team upload
  * d/rules: Install the python3.* extension to the correct path.
    Thanks to Steve Langasek for the patch (Closes: #1001363)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Dec 2021 18:02:48 -0300

nlopt (2.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.7.1
  * d/p/detect-guile-3.0.patch: Drop patch (applied upstream)
  * d/p/set_cxx_soname.patch: Reflect upstream changes
  * d/copyright: Reflect upstream changes
  * d/watch:
    + Drop option filenamemangle
    + Drop "version" and "script" parts of the selection rule
  * d/libnlopt-cxx0.lintian-overrides: Add override for exit-in-shared-library
  * Cope with new multiarch installation path for Python files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Dec 2021 08:23:51 -0300

nlopt (2.7.0-5) unstable; urgency=medium

  * Team upload
  * d/rules: Call dh_numpy3 in the override for the dh_auto_install-arch rule.
    This generates the mandatory dependency on python3-numpy-abiN for the
    python3-nlopt package.
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: Update copyright year for the debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Nov 2021 04:46:54 -0300
