=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: nlopt
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                chrpath,
                cmake,
-               dh-octave (>= 0.7.1),
+               dh-octave,
                dh-python,
                python3-all-dev,
                python3-numpy,
@@ -16,11 +17,10 @@
                      libjs-highlight.js,
                      libjs-jquery,
                      libjs-mathjax
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/nlopt
 Vcs-Git: https://salsa.debian.org/science-team/nlopt.git
 Homepage: https://github.com/stevengj/nlopt
-Rules-Requires-Root: no
 
 Package: libnlopt0
 Architecture: any
