=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DH_ALWAYS_EXCLUDE=__pycache__
+
+# The lorentzfit autopkgtest fails when nlopt is built with -D_FORTIFY_SOURCE=3
+# See: https://github.com/stevengj/nlopt/issues/511
+export DEB_CPPFLAGS_MAINT_APPEND=-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 
 PY3_DEFAULT = $(shell py3versions  -dv)
 PY3_ALT = $(shell py3versions  -rv | sed "s/$(PY3_DEFAULT)//")
@@ -28,14 +32,17 @@
 	dh_auto_install -a --builddirectory=$(BUILDDIR)-c-only --destdir=debian/tmp-c-only
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/nlopt.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/nlopt_cxx.pc
 	sed "s/-lnlopt/-lnlopt_cxx/" -i debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/nlopt_cxx.pc
+	dh_numpy3
 
 override_dh_auto_install-indep:
 
 override_dh_python3-arch:
+	distdir=debian/python3-nlopt/usr/lib/python3/dist-packages; \
+	mkdir -p $$distdir; \
 	for py3alt in $(PY3_ALT); do \
-		py3short=`echo $${py3alt} | sed "s/\.//g"`; \
-		cp $(BUILDDIR)-python$${py3alt}/src/swig/_nlopt.so debian/python3-nlopt/usr/lib/python3/dist-packages/_nlopt.cpython-$${py3short}.so; \
-		chrpath -d debian/python3-nlopt/usr/lib/python3/dist-packages/_nlopt.cpython-$${py3short}.so; \
+	py3short=`echo $${py3alt} | sed "s/\.//g"`-`dpkg-architecture -qDEB_HOST_MULTIARCH`; \
+		cp $(BUILDDIR)-python$${py3alt}/src/swig/_nlopt.so $$distdir/_nlopt.cpython-$${py3short}.so; \
+		chrpath -d $$distdir/_nlopt.cpython-$${py3short}.so; \
 	done
 	dh_python3 -a
 
@@ -57,14 +64,14 @@
 	find debian/libnlopt-dev -name nlopt.hpp -delete
 
 override_dh_installdocs-indep:
-	dh_installdocs -X js/jquery
+	dh_installdocs --indep -X js/jquery
 	grep highlight.min.js debian/nlopt-doc/usr/share/doc/nlopt-doc/site/* -R -ls | xargs -r sed "s|src=\".*highlight.min.js\"|src=\"/usr/share/javascript/highlight.js/highlight.min.js\"|" -i
 	grep js/jquery debian/nlopt-doc/usr/share/doc/nlopt-doc/site/* -R -ls | xargs -r sed "s|src=\".*js/jquery*.min.js|src=\"/usr/share/javascript/jquery/jquery.min.js|" -i
 	grep -i mathjax.js debian/nlopt-doc/usr/share/doc/nlopt-doc/site/* -R -ls | xargs -r sed "s|src=\"https://cdn.mathjax.org/mathjax/latest/MathJax.js|src=\"/usr/share/javascript/mathjax/MathJax.js|" -i
 	grep github.min.css debian/nlopt-doc/usr/share/doc/nlopt-doc/site/* -R -ls | xargs -r sed "s|href=\".*github.min.css\"|src=\"/usr/share/javascript/highlight.js/styles/github.css\"|" -i
 
 execute_before_dh_link-arch:
-	for package in libnlopt-dev libnlopt-guile0 octave-nlopt python3-nlopt; do \
+	for package in libnlopt-guile0 octave-nlopt python3-nlopt; do \
 		rm -rf debian/$$package/usr/share/doc/$$package; \
 	done
